<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Neodynamic.WebControls.ImageDraw" Namespace="Neodynamic.WebControls.ImageDraw"
    TagPrefix="neoimg" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>neoMIX ASP.NET Amazon Web Service - Dynamic Image Composition</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <span style="font-size: 16pt; color: royalblue; font-family: Arial">
            <table border="0" style="width: 100%" cellspacing="0">
                <tr>
                    <td colspan="2" style="background-color:royalblue">
                        <span style="color: white">
                        <strong>neoMIX</strong>
            Music Search</span> &nbsp;&nbsp; &nbsp;<span style="font-size: 10pt; color: aliceblue"><strong>Powered
                by ImageDraw &amp; Amazon Web Service</strong></span></td>
                </tr>
                <tr>
                    <td style="width: 50%; border-bottom-color: coral; border-bottom-style: solid;">
                        <span style="font-size: 10pt; color: black"><strong></strong></span><asp:TextBox ID="TextBox1" runat="server" Width="200px"></asp:TextBox>
                        <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="Go" />
                    </td>
                    <td style="width: 50%; border-bottom-color: coral; border-bottom-style: solid;">
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/images/amazon.jpg" /></td>
                </tr>
            </table>
        </span>
        <asp:DataList ID="DataList1" runat="server" CellPadding="10" CellSpacing="10" RepeatColumns="4"
            RepeatDirection="Horizontal">
            <ItemTemplate>
        <neoimg:ImageDraw ID="ImageDraw1" runat="server" CacheExpiresAtDateTime=""
            JpegCompressionLevel="95" BoundImageUrl='<%# Eval("ImageUrl") %>' BoundImageIndex="1" BoundText='<%# Eval("Price") %>' BoundTextIndex="3" OutputImageName='<%# Eval("Title").GetHashCode() %>' AlternateText='<%# Eval("Title") %>' ColorDepth="Format16bpp" HttpHandlerName="ImageDrawEngine.aspx" RenderingMethod="HttpHandler">
            <Elements>
                <neoimg:ImageElement Source="File" SourceFile="~/images/neomixcd.png">
                </neoimg:ImageElement>
                <neoimg:ImageElement Source="File" X="15" Y="3">
                    <Actions>
                        <neoimg:Resize Height="119" Width="122" />
                    </Actions>
                </neoimg:ImageElement>
                <neoimg:ImageElement Source="File" SourceFile="~/images/neomixprice.png" X="25" Y="100">
                </neoimg:ImageElement>
                <neoimg:TextElement Font-Size="20" ForeColor="Gold" StrokeColor="Maroon" StrokeWidth="2"
                    Text="$00.00" X="80" Y="105">
                </neoimg:TextElement>
            </Elements>
            <Canvas Height="133" Width="151" />
        </neoimg:ImageDraw><br />
                <asp:Label ID="Label2" runat="server" Font-Names="Tahoma" Font-Size="Small" ForeColor="DimGray"
                    Text='<%# Eval("Title") %>'></asp:Label>
                &nbsp;
                <asp:Label ID="Label3" runat="server" Font-Names="Tahoma" Font-Size="Small" ForeColor="RoyalBlue"
                    Text='<%# Eval("Artist", "By {0}") %>'></asp:Label>
            </ItemTemplate>
            <ItemStyle Font-Bold="False" Font-Italic="False" Font-Overline="False" Font-Strikeout="False"
                Font-Underline="False" HorizontalAlign="Center" VerticalAlign="Top" />
        </asp:DataList>
        <asp:Label ID="Label1" runat="server" Text="Label" Font-Names="Arial" Font-Size="Small" ForeColor="Red" Visible="False"></asp:Label></div>
    </form>
</body>
</html>
